GVM not working after RPM upgrade

gvm-10

#1

System is running CentOS Linux 7.

OpenVAS was fully operational until mid April when a ‘yum update’ upgraded the components and now things are all amiss.

I believe this is a good list of the packages installed:

[root@openvas ~]# rpm -qa | egrep ‘atomic|gvm|gsa|gree|openv’
libgsasl-1.8.0-8.el7.x86_64
greenbone-vulnerability-manager-10.0.0-6947.el7.art.noarch
atomic-sqlite-sqlite-3.8.5-3.el7.art.x86_64
atomic-libgpg-error-1.33-6790.el7.art.x86_64
gvm-libs-10.0.0-6924.el7.art.x86_64
greenbone-security-assistant-8.0.0-6932.el7.art.x86_64
atomic-release-1.0-21.el7.art.noarch
atomic-libgcrypt-1.8.4-2.el7.x86_64
gvmd-8.0.0-6928.el7.art.x86_64
atomic-sqlite-3.8.5-6803.el7.art.x86_64
atomic-heimdal-runtime-7.5.0-8.el7.x86_64
gvm-tools-1.4.1-6952.el7.art.noarch
atomic-gpgme-1.12.0-6795.el7.art.x86_64
openvas-scanner-6.0.0-6930.el7.art.x86_64
openvas-smb-1.0.5-6923.el7.art.x86_64
atomic-libksba-1.3.5-6793.el7.art.x86_64
[root@openvas ~]#

I have executed the following:
gvmd --migrate
gvm-setup

I am able to login to the UI but there are functions (like Scans -> Tasks) on the website that result in the following message:
An error occurred in this page. Please try again.

I have configured all logging to include debug messages but have been unable to identify any clue why the UI is not working properly.

Not even sure what else to provide to help diagnose this issue.

Thanks for any input!


#2

Because GSA in version 8 is a complete rebuild written as a single page application in JavaScript some errors may only occur in your browser now. Therefore you could take a look at the browser console to get some more error information.

If you are running a multi user setup it is very likely you hit e.g. https://github.com/greenbone/gsa/pull/1393